#!/usr/bin/python3

from math import *
import pymatgen as mg
from pymatgen.analysis.ewald import EwaldSummation

a=10
sep=1.5
q=2
p=q*sep

# 1/eps0 in relevant units
reps=180.95128020794500455618

c=100

lattice = mg.Lattice.tetragonal(a,c)

structure=mg.Structure(lattice,[mg.Specie("K",q),mg.Specie("Cl",-q)],
                       [[0.5,0.5,0.5-sep/(2*c)],[0.5,0.5,0.5+sep/(2*c)]])

sum=EwaldSummation(structure,acc_factor=13)

correction=p*p*reps/(2*structure.lattice.volume)

expected=sum.total_energy+correction

print ("# a=",a," expected=",expected)

for c in range(50,4,-1):

  lattice = mg.Lattice.tetragonal(a,c)

  structure=mg.Structure(lattice,[mg.Specie("K",q),mg.Specie("Cl",-q)],
                       [[0.5,0.5,0.5-sep/(2*c)],[0.5,0.5,0.5+sep/(2*c)]])

  sum=EwaldSummation(structure,acc_factor=13)

  correction=p*p*reps/(2*structure.lattice.volume)

  correction2=4*pi*reps*p*p*exp(-2*pi*c/a)/(a*a*a)

  error0=sum.total_energy+correction-expected

  error1=error0+correction2

  print(c,sum.total_energy,sum.total_energy+correction,sum.total_energy+correction+correction2)
