#!/usr/bin/python3

from math import *
import pymatgen as mg
from pymatgen.analysis.ewald import EwaldSummation

a=10
sep=1.5
q=2
#sep=0.75
#q=4
p=q*sep

reps=180.95128020794500455618


for alpha in [1.2,1.4,1.5,1.6,1.8,2.0]:

  f=open("tet_"+str(alpha)+".dat","w")
  
  for a in range(10,40):

    c=a*alpha

    lattice = mg.Lattice.tetragonal(a,c)

    structure=mg.Structure(lattice,[mg.Specie("K",q),mg.Specie("Cl",-q)],
                           [[0.5,0.5,0.5-sep/(2*c)],[0.5,0.5,0.5+sep/(2*c)]])

    sum=EwaldSummation(structure,acc_factor=13)

    c1=(p*p*reps/(a*a))*(1/(2*c)-1/(3*a))

    c2=-(4*pi*p*p*reps/(a*a*a))*(exp(-2*pi)-exp(-2*pi*c/a))

    e=sum.total_energy
    
    print(alpha, a*a*c,e,e+c1,e+c1+c2,file=f)

  f.close()
