#!/bin/bash

home=`pwd`
castep=/rscratch/CASTEP/bin/18.1/castep-18.1_ifort19_mklfft
end=24

for d in 1.2 1.4 1.5 1.6 1.8
do
  mkdir $d
  cd $d
  for a in `seq 10 $end`
  do
    mkdir $a
    cd $a
    cp ${home}/KCl.param .
    ln -s ${home}/K_01.recpot
    ln -s ${home}/Cl.usp
    echo '%block LATTICE_ABC' > KCl.cell
    echo 'ang' >> KCl.cell
    c=`echo $a '*' $d | bc`
    echo $a $a $c >> KCl.cell
    echo '90.000000 90.000000 90.000000' >> KCl.cell
    echo '%endblock LATTICE_ABC' >> KCl.cell
    echo >> KCl.cell
    x=`echo $a '*' 0.5 | bc`
    y1=`echo $c '*' 0.5 - 1.7 | bc`
    y2=`echo $c '*' 0.5 + 1 | bc`
    echo '%block POSITIONS_ABS' >> KCl.cell
    echo "  K  $x $x $y1" >> KCl.cell
    echo "  Cl $x $x $y2" >> KCl.cell
    cat <<EOF >>KCl.cell
%endblock POSITIONS_ABS

%block species_pot
Cl Cl.usp
K K_01.recpot
%endblock species_pot

kpoints_mp_grid 1 1 1
kpoints_mp_offset 0.25 0.25 0.25
EOF
    $castep KCl &
    cd ..
  done
  cd ..
  [ $d != 1.5 ] && end=`echo $end - 1 | bc`
done

